<?php

namespace Drupal\error_prepend_string\EventSubscriber;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Component\HttpKernel\KernelEvents;

class ErrorPrependStringEventSubscriber implements EventSubscriberInterface {

  public static function getSubscribedEvents() {
    return [
      KernelEvents::RESPONSE => 'onResponse',
    ];
  }

  public function onResponse($event) {

    if (!$event->getResponse()->getStatusCode() == 500) {
      $prefix = ini_get('error_prepend_string');
      $suffix = ini_get('error_append_string');
      $content = $event->getResponse()->getContent();
      $event->getResponse()->setContent($prefix . $content . $suffix);
    }
  }
}
